//+------------------------------------------------------------------+
//|                                              FiblFan_duality.mq4 |
//|                      Copyright  2010, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Copyright  2010, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net"

#property indicator_chart_window

extern string ID = "a";
extern color FanColor=Red;
extern bool All_Fibs_On=false;
extern bool Fib_Set1_On=true;
extern bool Fib_Set2_On=true;
extern bool Fib_Set3_On=true;
extern bool Fib_Set4_On=true;
extern bool DeleteFibBase=false;
extern double v1=0.97037;
extern double v2=0;//.14590;
//extern double v2=0;//.23265;
extern double v3=0;//38197;
extern double v4=0;//48234;
extern double v5=0;//61805;
extern double v6=0;//78615;
extern double v7=0;//85180;
extern double v8=0;//88665;
extern double v9=0;//90824;
extern double v10=0;//92293;
extern double v11=0;//93357;
extern double v12=0;//94162;
extern double v13=0;//94794;
extern double v14=0;//95302;
extern double v15=0;//95720;
extern double v16=0;//96069;
extern double v17=0;//96366;
extern double v18=0;//96621;
extern double v19=0;//96843;
extern double v20=0;//.97037;
extern bool AllOn=false;
/*extern double v21=0.97209;
extern double v22=0.97362;
extern double v23=0.97499;
extern double v24=0.97623;
extern double v25=0.97735;
extern double v26=0.97836;
extern double v27=0.97930;
extern double v28=0.98015;
extern double v29=0.98094;
extern double v30=0.98166;
/*extern double v31=0.;
extern double v32=0.;
extern double v33=0.;
extern double v34=0.;
extern double v35=0.;
extern double v36=0.;
extern double v37=0.;
extern double v38=0.;
extern double v39=0.;
extern double v40=0.;
*/
     int t1,t2,once;
     double p1,p2,height;
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
  once=0;
//---- indicators
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   if(DeleteFibBase) ObjectDelete("FibBase"+ID);
for(int x=1;x<61;x++)
  {
   ObjectDelete("FibSet1_"+x+ID);
   ObjectDelete("FibSet2_"+x+ID);
   ObjectDelete("FibSet3_"+x+ID);
   ObjectDelete("FibSet4_"+x+ID);
  }
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   if(AllOn==true)
    {
     v1=0.14590;v2=0.23265;v3=0.38197;v4=0.48234;v5=0.61805;
     v6=0.78615;v7=0.85180;v8=0.88665;v9=0.90824;v10=0.92293;
     v11=0.93357;v12=0.94162;v13=0.94794;v14=0.95302;v15=0.95720;
     v16=0.96069;v17=0.96336;v18=0.96621;v19=0.96843;v20=0.97037;
    }
   if( ObjectFind("FibBase+ID")==0 
                 &&ObjectGet("FibBase"+ID,OBJPROP_TIME1)==t1
                 &&ObjectGet("FibBase"+ID,OBJPROP_PRICE1)==p1
                 &&ObjectGet("FibBase"+ID,OBJPROP_TIME2)==t2
                 &&ObjectGet("FibBase"+ID,OBJPROP_PRICE2)==p2)
    return(0);

//----
   if(ObjectFind("FibBase"+ID)!=0||(ObjectFind("FibBase"+ID)==0&&once==0))
    {
     double cHeight=(High[1]-Low[5]);
//     Comment(cHeight);
     ObjectCreate("FibBase"+ID,OBJ_TREND,0,Time[5],Low[5],Time[1],High[1]);

     if(All_Fibs_On)
      {
       if(v1 !=0)
        {
         if(Fib_Set1_On)      ObjectCreate("FibSet1_1"+ID,OBJ_TREND,0,Time[5],Low[5],Time[1],High[1]-cHeight*v1);
         if(Fib_Set2_On)      ObjectCreate("FibSet2_1"+ID,OBJ_TREND,0,Time[1],High[1],Time[5],Low[5]+cHeight*v1);
         if(Fib_Set3_On)      ObjectCreate("FibSet3_21"+ID,OBJ_TREND,0,Time[5],High[1],Time[1],Low[5]+cHeight*v1);
         if(Fib_Set4_On)      ObjectCreate("FibSet4_21"+ID,OBJ_TREND,0,Time[1],Low[5],Time[5],High[1]-cHeight*v1);
        }
       if(v2 !=0)
        {
         if(Fib_Set1_On)      ObjectCreate("FibSet1_2"+ID,OBJ_TREND,0,Time[5],Low[5],Time[1],High[1]-cHeight*v2 );
         if(Fib_Set2_On)      ObjectCreate("FibSet2_2"+ID,OBJ_TREND,0,Time[1],High[1],Time[5],Low[5]+cHeight*v2 );
         if(Fib_Set3_On)      ObjectCreate("FibSet3_22"+ID,OBJ_TREND,0,Time[5],High[1],Time[1],Low[5]+cHeight*v2 );
         if(Fib_Set4_On)      ObjectCreate("FibSet4_22"+ID,OBJ_TREND,0,Time[1],Low[5],Time[5],High[1]-cHeight*v2 );
        }
       if(v3 !=0)
        {
         if(Fib_Set1_On)      ObjectCreate("FibSet1_3"+ID,OBJ_TREND,0,Time[5],Low[5],Time[1],High[1]-cHeight*v3 );
         if(Fib_Set2_On)      ObjectCreate("FibSet2_3"+ID,OBJ_TREND,0,Time[1],High[1],Time[5],Low[5]+cHeight*v3 );
         if(Fib_Set3_On)      ObjectCreate("FibSet3_23"+ID,OBJ_TREND,0,Time[5],High[1],Time[1],Low[5]+cHeight*v3 );
         if(Fib_Set4_On)      ObjectCreate("FibSet4_23"+ID,OBJ_TREND,0,Time[1],Low[5],Time[5],High[1]-cHeight*v3 );
        }
       if(v4 !=0)
        {
         if(Fib_Set1_On)      ObjectCreate("FibSet1_4"+ID,OBJ_TREND,0,Time[5],Low[5],Time[1],High[1]-cHeight*v4 );
         if(Fib_Set2_On)      ObjectCreate("FibSet2_4"+ID,OBJ_TREND,0,Time[1],High[1],Time[5],Low[5]+cHeight*v4 );
         if(Fib_Set3_On)      ObjectCreate("FibSet3_24"+ID,OBJ_TREND,0,Time[5],High[1],Time[1],Low[5]+cHeight*v4 );
         if(Fib_Set4_On)      ObjectCreate("FibSet4_24"+ID,OBJ_TREND,0,Time[1],Low[5],Time[5],High[1]-cHeight*v4 );
        }
       if(v5 !=0)
        {
         if(Fib_Set1_On)      ObjectCreate("FibSet1_5"+ID,OBJ_TREND,0,Time[5],Low[5],Time[1],High[1]-cHeight*v5 );
         if(Fib_Set2_On)      ObjectCreate("FibSet2_5"+ID,OBJ_TREND,0,Time[1],High[1],Time[5],Low[5]+cHeight*v5 );
         if(Fib_Set3_On)      ObjectCreate("FibSet3_25"+ID,OBJ_TREND,0,Time[5],High[1],Time[1],Low[5]+cHeight*v5 );
         if(Fib_Set4_On)      ObjectCreate("FibSet4_25"+ID,OBJ_TREND,0,Time[1],Low[5],Time[5],High[1]-cHeight*v5 );
        }
       if(v6 !=0)
        {
         if(Fib_Set1_On)      ObjectCreate("FibSet1_6"+ID,OBJ_TREND,0,Time[5],Low[5],Time[1],High[1]-cHeight*v6 );
         if(Fib_Set2_On)      ObjectCreate("FibSet2_6"+ID,OBJ_TREND,0,Time[1],High[1],Time[5],Low[5]+cHeight*v6 );
         if(Fib_Set3_On)      ObjectCreate("FibSet3_26"+ID,OBJ_TREND,0,Time[5],High[1],Time[1],Low[5]+cHeight*v6 );
         if(Fib_Set4_On)      ObjectCreate("FibSet4_26"+ID,OBJ_TREND,0,Time[1],Low[5],Time[5],High[1]-cHeight*v6 );
        }
       if(v7 !=0)
        {
         if(Fib_Set1_On)      ObjectCreate("FibSet1_7"+ID,OBJ_TREND,0,Time[5],Low[5],Time[1],High[1]-cHeight*v7 );
         if(Fib_Set2_On)      ObjectCreate("FibSet2_7"+ID,OBJ_TREND,0,Time[1],High[1],Time[5],Low[5]+cHeight*v7 );
         if(Fib_Set3_On)      ObjectCreate("FibSet3_27"+ID,OBJ_TREND,0,Time[5],High[1],Time[1],Low[5]+cHeight*v7 );
         if(Fib_Set4_On)      ObjectCreate("FibSet4_27"+ID,OBJ_TREND,0,Time[1],Low[5],Time[5],High[1]-cHeight*v7 );
        }
       if(v8 !=0)
        {
         if(Fib_Set1_On)      ObjectCreate("FibSet1_8"+ID,OBJ_TREND,0,Time[5],Low[5],Time[1],High[1]-cHeight*v8 );
         if(Fib_Set2_On)      ObjectCreate("FibSet2_8"+ID,OBJ_TREND,0,Time[1],High[1],Time[5],Low[5]+cHeight*v8 );
         if(Fib_Set3_On)      ObjectCreate("FibSet3_28"+ID,OBJ_TREND,0,Time[5],High[1],Time[1],Low[5]+cHeight*v8 );
         if(Fib_Set4_On)      ObjectCreate("FibSet4_28"+ID,OBJ_TREND,0,Time[1],Low[5],Time[5],High[1]-cHeight*v8 );
        }
       if(v9 !=0)
        {
         if(Fib_Set1_On)      ObjectCreate("FibSet1_9"+ID,OBJ_TREND,0,Time[5],Low[5],Time[1],High[1]-cHeight*v9 );
         if(Fib_Set2_On)      ObjectCreate("FibSet2_9"+ID,OBJ_TREND,0,Time[1],High[1],Time[5],Low[5]+cHeight*v9 );
         if(Fib_Set3_On)      ObjectCreate("FibSet3_29"+ID,OBJ_TREND,0,Time[5],High[1],Time[1],Low[5]+cHeight*v9 );
         if(Fib_Set4_On)      ObjectCreate("FibSet4_29"+ID,OBJ_TREND,0,Time[1],Low[5],Time[5],High[1]-cHeight*v9 );
        }
       if(v10 !=0)
        {
         if(Fib_Set1_On)      ObjectCreate("FibSet1_10"+ID,OBJ_TREND,0,Time[5],Low[5],Time[1],High[1]-cHeight*v10 );
         if(Fib_Set2_On)      ObjectCreate("FibSet2_10"+ID,OBJ_TREND,0,Time[1],High[1],Time[5],Low[5]+cHeight*v10 );
         if(Fib_Set3_On)      ObjectCreate("FibSet3_30"+ID,OBJ_TREND,0,Time[5],High[1],Time[1],Low[5]+cHeight*v10 );
         if(Fib_Set4_On)      ObjectCreate("FibSet4_30"+ID,OBJ_TREND,0,Time[1],Low[5],Time[5],High[1]-cHeight*v10 );
        }
       if(v11 !=0)
        {
         if(Fib_Set1_On)      ObjectCreate("FibSet1_11"+ID,OBJ_TREND,0,Time[5],Low[5],Time[1],High[1]-cHeight*v11 );
         if(Fib_Set2_On)      ObjectCreate("FibSet2_11"+ID,OBJ_TREND,0,Time[1],High[1],Time[5],Low[5]+cHeight*v11 );
         if(Fib_Set3_On)      ObjectCreate("FibSet3_31"+ID,OBJ_TREND,0,Time[5],High[1],Time[1],Low[5]+cHeight*v11 );
         if(Fib_Set4_On)      ObjectCreate("FibSet4_31"+ID,OBJ_TREND,0,Time[1],Low[5],Time[5],High[1]-cHeight*v11 );
        }
       if(v12 !=0)
        {
         if(Fib_Set1_On)      ObjectCreate("FibSet1_12"+ID,OBJ_TREND,0,Time[5],Low[5],Time[1],High[1]-cHeight*v12 );
         if(Fib_Set2_On)      ObjectCreate("FibSet2_12"+ID,OBJ_TREND,0,Time[1],High[1],Time[5],Low[5]+cHeight*v12 );
         if(Fib_Set3_On)      ObjectCreate("FibSet3_32"+ID,OBJ_TREND,0,Time[5],High[1],Time[1],Low[5]+cHeight*v12 );
         if(Fib_Set4_On)      ObjectCreate("FibSet4_32"+ID,OBJ_TREND,0,Time[1],Low[5],Time[5],High[1]-cHeight*v12 );
        }
       if(v13 !=0)
        {
         if(Fib_Set1_On)      ObjectCreate("FibSet1_13"+ID,OBJ_TREND,0,Time[5],Low[5],Time[1],High[1]-cHeight*v13 );
         if(Fib_Set2_On)      ObjectCreate("FibSet2_13"+ID,OBJ_TREND,0,Time[1],High[1],Time[5],Low[5]+cHeight*v13 );
         if(Fib_Set3_On)      ObjectCreate("FibSet3_33"+ID,OBJ_TREND,0,Time[5],High[1],Time[1],Low[5]+cHeight*v13 );
         if(Fib_Set4_On)      ObjectCreate("FibSet4_33"+ID,OBJ_TREND,0,Time[1],Low[5],Time[5],High[1]-cHeight*v13 );
        }
       if(v14 !=0)
        {
         if(Fib_Set1_On)      ObjectCreate("FibSet1_14"+ID,OBJ_TREND,0,Time[5],Low[5],Time[1],High[1]-cHeight*v14 );
         if(Fib_Set2_On)      ObjectCreate("FibSet2_14"+ID,OBJ_TREND,0,Time[1],High[1],Time[5],Low[5]+cHeight*v14 );
         if(Fib_Set3_On)      ObjectCreate("FibSet3_34"+ID,OBJ_TREND,0,Time[5],High[1],Time[1],Low[5]+cHeight*v14 );
         if(Fib_Set4_On)      ObjectCreate("FibSet4_34"+ID,OBJ_TREND,0,Time[1],Low[5],Time[5],High[1]-cHeight*v14 );
        }
       if(v15 !=0)
        {
         if(Fib_Set1_On)      ObjectCreate("FibSet1_15"+ID,OBJ_TREND,0,Time[5],Low[5],Time[1],High[1]-cHeight*v15 );
         if(Fib_Set2_On)      ObjectCreate("FibSet2_15"+ID,OBJ_TREND,0,Time[1],High[1],Time[5],Low[5]+cHeight*v15 );
         if(Fib_Set3_On)      ObjectCreate("FibSet3_35"+ID,OBJ_TREND,0,Time[5],High[1],Time[1],Low[5]+cHeight*v15 );
         if(Fib_Set4_On)      ObjectCreate("FibSet4_35"+ID,OBJ_TREND,0,Time[1],Low[5],Time[5],High[1]-cHeight*v15 );
        }
       if(v16 !=0)
        {
         if(Fib_Set1_On)      ObjectCreate("FibSet1_16"+ID,OBJ_TREND,0,Time[5],Low[5],Time[1],High[1]-cHeight*v16 );
         if(Fib_Set2_On)      ObjectCreate("FibSet2_16"+ID,OBJ_TREND,0,Time[1],High[1],Time[5],Low[5]+cHeight*v16 );
         if(Fib_Set3_On)      ObjectCreate("FibSet3_36"+ID,OBJ_TREND,0,Time[5],High[1],Time[1],Low[5]+cHeight*v16 );
         if(Fib_Set4_On)      ObjectCreate("FibSet4_36"+ID,OBJ_TREND,0,Time[1],Low[5],Time[5],High[1]-cHeight*v16 );
        }
       if(v17 !=0)
        {
         if(Fib_Set1_On)      ObjectCreate("FibSet1_17"+ID,OBJ_TREND,0,Time[5],Low[5],Time[1],High[1]-cHeight*v17 );
         if(Fib_Set2_On)      ObjectCreate("FibSet2_17"+ID,OBJ_TREND,0,Time[1],High[1],Time[5],Low[5]+cHeight*v17 );
         if(Fib_Set3_On)      ObjectCreate("FibSet3_37"+ID,OBJ_TREND,0,Time[5],High[1],Time[1],Low[5]+cHeight*v17 );
         if(Fib_Set4_On)      ObjectCreate("FibSet4_37"+ID,OBJ_TREND,0,Time[1],Low[5],Time[5],High[1]-cHeight*v17 );
        }
       if(v18 !=0)
        {
         if(Fib_Set1_On)      ObjectCreate("FibSet1_18"+ID,OBJ_TREND,0,Time[5],Low[5],Time[1],High[1]-cHeight*v18 );
         if(Fib_Set2_On)      ObjectCreate("FibSet2_18"+ID,OBJ_TREND,0,Time[1],High[1],Time[5],Low[5]+cHeight*v18 );
         if(Fib_Set3_On)      ObjectCreate("FibSet3_38"+ID,OBJ_TREND,0,Time[5],High[1],Time[1],Low[5]+cHeight*v18 );
         if(Fib_Set4_On)      ObjectCreate("FibSet4_38"+ID,OBJ_TREND,0,Time[1],Low[5],Time[5],High[1]-cHeight*v18 );
        }
       if(v19 !=0)
        {
         if(Fib_Set1_On)      ObjectCreate("FibSet1_19"+ID,OBJ_TREND,0,Time[5],Low[5],Time[1],High[1]-cHeight*v19 );
         if(Fib_Set2_On)      ObjectCreate("FibSet2_19"+ID,OBJ_TREND,0,Time[1],High[1],Time[5],Low[5]+cHeight*v19 );
         if(Fib_Set3_On)      ObjectCreate("FibSet3_39"+ID,OBJ_TREND,0,Time[5],High[1],Time[1],Low[5]+cHeight*v19 );
         if(Fib_Set4_On)      ObjectCreate("FibSet4_39"+ID,OBJ_TREND,0,Time[1],Low[5],Time[5],High[1]-cHeight*v19 );
        }
       if(v20 !=0)
        {
         if(Fib_Set1_On)      ObjectCreate("FibSet1_20"+ID,OBJ_TREND,0,Time[5],Low[5],Time[1],High[1]-cHeight*v20 );
         if(Fib_Set2_On)      ObjectCreate("FibSet2_20"+ID,OBJ_TREND,0,Time[1],High[1],Time[5],Low[5]+cHeight*v20 );
         if(Fib_Set3_On)      ObjectCreate("FibSet3_40"+ID,OBJ_TREND,0,Time[5],High[1],Time[1],Low[5]+cHeight*v20 );
         if(Fib_Set4_On)      ObjectCreate("FibSet4_40"+ID,OBJ_TREND,0,Time[1],Low[5],Time[5],High[1]-cHeight*v20);
        }
      }
    }
   if(once==0)
    {
     ObjectSet("FibBase"+ID,OBJPROP_COLOR,FanColor);
     ObjectSet("FibBase"+ID,OBJPROP_STYLE,STYLE_SOLID);ObjectSet("FibBase"+ID,OBJPROP_RAY,false);ObjectSet("FibBase"+ID,OBJPROP_WIDTH,6);

     for(int x=1;x<=20;x++)
     {
      ObjectSet("FibSet1_"+x+ID,OBJPROP_COLOR,FanColor);
      ObjectSet("FibSet1_"+x+ID,OBJPROP_STYLE,STYLE_DOT);
      ObjectSet("FibSet1_"+x+ID,OBJPROP_RAY,true);
     }
     for(x=1;x<=20;x++)
     {
      ObjectSet("FibSet2_"+x+ID,OBJPROP_COLOR,FanColor);
      ObjectSet("FibSet2_"+x+ID,OBJPROP_STYLE,STYLE_DOT);
      ObjectSet("FibSet2_"+x+ID,OBJPROP_RAY,true);
     }
     for(x=21;x<=40;x++)
     {
      ObjectSet("FibSet3_"+x+ID,OBJPROP_COLOR,FanColor);
      ObjectSet("FibSet3_"+x+ID,OBJPROP_STYLE,STYLE_DOT);
      ObjectSet("FibSet3_"+x+ID,OBJPROP_RAY,true);
     }
     for(x=21;x<=40;x++)
     {
      ObjectSet("FibSet4_"+x+ID,OBJPROP_COLOR,FanColor);
      ObjectSet("FibSet4_"+x+ID,OBJPROP_STYLE,STYLE_DOT);
      ObjectSet("FibSet4_"+x+ID,OBJPROP_RAY,true);
     }
     once=99;
    }


     t1=ObjectGet("FibBase"+ID,OBJPROP_TIME1);
     t2=ObjectGet("FibBase"+ID,OBJPROP_TIME2);
     p1=ObjectGet("FibBase"+ID,OBJPROP_PRICE1);
     p2=ObjectGet("FibBase"+ID,OBJPROP_PRICE2);

     height=p2-p1;

// ObCr FibSet1       T1,P1,T2,fr1=P2-Height*v1

double fr1=p2-height*v1;   double fr2=p2-height*v2;   double fr3=p2-height*v3;   double fr4=p2-height*v4;
double fr5=p2-height*v5;   double fr6=p2-height*v6;   double fr7=p2-height*v7;   double fr8=p2-height*v8;
double fr9=p2-height*v9;   double fr10=p2-height*v10; double fr11=p2-height*v11; double fr12=p2-height*v12;
double fr13=p2-height*v13; double fr14=p2-height*v14; double fr15=p2-height*v15; double fr16=p2-height*v16;
double fr17=p2-height*v17; double fr18=p2-height*v18; double fr19=p2-height*v19; double fr20=p2-height*v20;

ObjectSet("FibSet1_1"+ID,OBJPROP_TIME1,t1);ObjectSet("FibSet1_1"+ID,OBJPROP_PRICE1,p1);
ObjectSet("FibSet1_1"+ID,OBJPROP_TIME2,t2);ObjectSet("FibSet1_1"+ID,OBJPROP_PRICE2,fr1);
ObjectSet("FibSet1_2"+ID,OBJPROP_TIME1,t1);ObjectSet("FibSet1_2"+ID,OBJPROP_PRICE1,p1);
ObjectSet("FibSet1_2"+ID,OBJPROP_TIME2,t2);ObjectSet("FibSet1_2"+ID,OBJPROP_PRICE2,fr2);
ObjectSet("FibSet1_3"+ID,OBJPROP_TIME1,t1);ObjectSet("FibSet1_3"+ID,OBJPROP_PRICE1,p1);
ObjectSet("FibSet1_3"+ID,OBJPROP_TIME2,t2);ObjectSet("FibSet1_3"+ID,OBJPROP_PRICE2,fr3);
ObjectSet("FibSet1_4"+ID,OBJPROP_TIME1,t1);ObjectSet("FibSet1_4"+ID,OBJPROP_PRICE1,p1);
ObjectSet("FibSet1_4"+ID,OBJPROP_TIME2,t2);ObjectSet("FibSet1_4"+ID,OBJPROP_PRICE2,fr4);
ObjectSet("FibSet1_5"+ID,OBJPROP_TIME1,t1);ObjectSet("FibSet1_5"+ID,OBJPROP_PRICE1,p1);
ObjectSet("FibSet1_5"+ID,OBJPROP_TIME2,t2);ObjectSet("FibSet1_5"+ID,OBJPROP_PRICE2,fr5);
ObjectSet("FibSet1_6"+ID,OBJPROP_TIME1,t1);ObjectSet("FibSet1_6"+ID,OBJPROP_PRICE1,p1);
ObjectSet("FibSet1_6"+ID,OBJPROP_TIME2,t2);ObjectSet("FibSet1_6"+ID,OBJPROP_PRICE2,fr6);
ObjectSet("FibSet1_7"+ID,OBJPROP_TIME1,t1);ObjectSet("FibSet1_7"+ID,OBJPROP_PRICE1,p1);
ObjectSet("FibSet1_7"+ID,OBJPROP_TIME2,t2);ObjectSet("FibSet1_7"+ID,OBJPROP_PRICE2,fr7);
ObjectSet("FibSet1_8"+ID,OBJPROP_TIME1,t1);ObjectSet("FibSet1_8"+ID,OBJPROP_PRICE1,p1);
ObjectSet("FibSet1_8"+ID,OBJPROP_TIME2,t2);ObjectSet("FibSet1_8"+ID,OBJPROP_PRICE2,fr8);
ObjectSet("FibSet1_9"+ID,OBJPROP_TIME1,t1);ObjectSet("FibSet1_9"+ID,OBJPROP_PRICE1,p1);
ObjectSet("FibSet1_9"+ID,OBJPROP_TIME2,t2);ObjectSet("FibSet1_9"+ID,OBJPROP_PRICE2,fr9);
ObjectSet("FibSet1_10"+ID,OBJPROP_TIME1,t1);ObjectSet("FibSet1_10"+ID,OBJPROP_PRICE1,p1);
ObjectSet("FibSet1_10"+ID,OBJPROP_TIME2,t2);ObjectSet("FibSet1_10"+ID,OBJPROP_PRICE2,fr10);
ObjectSet("FibSet1_11"+ID,OBJPROP_TIME1,t1);ObjectSet("FibSet1_11"+ID,OBJPROP_PRICE1,p1);
ObjectSet("FibSet1_11"+ID,OBJPROP_TIME2,t2);ObjectSet("FibSet1_11"+ID,OBJPROP_PRICE2,fr11);
ObjectSet("FibSet1_12"+ID,OBJPROP_TIME1,t1);ObjectSet("FibSet1_12"+ID,OBJPROP_PRICE1,p1);
ObjectSet("FibSet1_12"+ID,OBJPROP_TIME2,t2);ObjectSet("FibSet1_12"+ID,OBJPROP_PRICE2,fr12);
ObjectSet("FibSet1_13"+ID,OBJPROP_TIME1,t1);ObjectSet("FibSet1_13"+ID,OBJPROP_PRICE1,p1);
ObjectSet("FibSet1_13"+ID,OBJPROP_TIME2,t2);ObjectSet("FibSet1_13"+ID,OBJPROP_PRICE2,fr13);
ObjectSet("FibSet1_14"+ID,OBJPROP_TIME1,t1);ObjectSet("FibSet1_14"+ID,OBJPROP_PRICE1,p1);
ObjectSet("FibSet1_14"+ID,OBJPROP_TIME2,t2);ObjectSet("FibSet1_14"+ID,OBJPROP_PRICE2,fr14);
ObjectSet("FibSet1_15"+ID,OBJPROP_TIME1,t1);ObjectSet("FibSet1_15"+ID,OBJPROP_PRICE1,p1);
ObjectSet("FibSet1_15"+ID,OBJPROP_TIME2,t2);ObjectSet("FibSet1_15"+ID,OBJPROP_PRICE2,fr15);
ObjectSet("FibSet1_16"+ID,OBJPROP_TIME1,t1);ObjectSet("FibSet1_16"+ID,OBJPROP_PRICE1,p1);
ObjectSet("FibSet1_16"+ID,OBJPROP_TIME2,t2);ObjectSet("FibSet1_16"+ID,OBJPROP_PRICE2,fr16);
ObjectSet("FibSet1_17"+ID,OBJPROP_TIME1,t1);ObjectSet("FibSet1_17"+ID,OBJPROP_PRICE1,p1);
ObjectSet("FibSet1_17"+ID,OBJPROP_TIME2,t2);ObjectSet("FibSet1_17"+ID,OBJPROP_PRICE2,fr17);
ObjectSet("FibSet1_18"+ID,OBJPROP_TIME1,t1);ObjectSet("FibSet1_18"+ID,OBJPROP_PRICE1,p1);
ObjectSet("FibSet1_18"+ID,OBJPROP_TIME2,t2);ObjectSet("FibSet1_18"+ID,OBJPROP_PRICE2,fr18);
ObjectSet("FibSet1_19"+ID,OBJPROP_TIME1,t1);ObjectSet("FibSet1_19"+ID,OBJPROP_PRICE1,p1);
ObjectSet("FibSet1_19"+ID,OBJPROP_TIME2,t2);ObjectSet("FibSet1_19"+ID,OBJPROP_PRICE2,fr19);
ObjectSet("FibSet1_20"+ID,OBJPROP_TIME1,t1);ObjectSet("FibSet1_20"+ID,OBJPROP_PRICE1,p1);
ObjectSet("FibSet1_20"+ID,OBJPROP_TIME2,t2);ObjectSet("FibSet1_20"+ID,OBJPROP_PRICE2,fr20);


// ObCr FibSet2_1    T2,P2,T1,frr1=P1+Height*v1);
double frr1=p1+height*v1;   double frr2=p1+height*v2;   double frr3=p1+height*v3;   double frr4=p1+height*v4;
double frr5=p1+height*v5;   double frr6=p1+height*v6;   double frr7=p1+height*v7;   double frr8=p1+height*v8;
double frr9=p1+height*v9;   double frr10=p1+height*v10; double frr11=p1+height*v11; double frr12=p1+height*v12;
double frr13=p1+height*v13; double frr14=p1+height*v14; double frr15=p1+height*v15; double frr16=p1+height*v16;
double frr17=p1+height*v17; double frr18=p1+height*v18; double frr19=p1+height*v19; double frr20=p1+height*v20;

ObjectSet("FibSet2_1"+ID,OBJPROP_TIME1,t2);ObjectSet("FibSet2_1"+ID,OBJPROP_PRICE1,p2);
ObjectSet("FibSet2_1"+ID,OBJPROP_TIME2,t1);ObjectSet("FibSet2_1"+ID,OBJPROP_PRICE2,frr1);
ObjectSet("FibSet2_2"+ID,OBJPROP_TIME1,t2);ObjectSet("FibSet2_2"+ID,OBJPROP_PRICE1,p2);
ObjectSet("FibSet2_2"+ID,OBJPROP_TIME2,t1);ObjectSet("FibSet2_2"+ID,OBJPROP_PRICE2,frr2);
ObjectSet("FibSet2_3"+ID,OBJPROP_TIME1,t2);ObjectSet("FibSet2_3"+ID,OBJPROP_PRICE1,p2);
ObjectSet("FibSet2_3"+ID,OBJPROP_TIME2,t1);ObjectSet("FibSet2_3"+ID,OBJPROP_PRICE2,frr3);
ObjectSet("FibSet2_4"+ID,OBJPROP_TIME1,t2);ObjectSet("FibSet2_4"+ID,OBJPROP_PRICE1,p2);
ObjectSet("FibSet2_4"+ID,OBJPROP_TIME2,t1);ObjectSet("FibSet2_4"+ID,OBJPROP_PRICE2,frr4);
ObjectSet("FibSet2_5"+ID,OBJPROP_TIME1,t2);ObjectSet("FibSet2_5"+ID,OBJPROP_PRICE1,p2);
ObjectSet("FibSet2_5"+ID,OBJPROP_TIME2,t1);ObjectSet("FibSet2_5"+ID,OBJPROP_PRICE2,frr5);
ObjectSet("FibSet2_6"+ID,OBJPROP_TIME1,t2);ObjectSet("FibSet2_6"+ID,OBJPROP_PRICE1,p2);
ObjectSet("FibSet2_6"+ID,OBJPROP_TIME2,t1);ObjectSet("FibSet2_6"+ID,OBJPROP_PRICE2,frr6);
ObjectSet("FibSet2_7"+ID,OBJPROP_TIME1,t2);ObjectSet("FibSet2_7"+ID,OBJPROP_PRICE1,p2);
ObjectSet("FibSet2_7"+ID,OBJPROP_TIME2,t1);ObjectSet("FibSet2_7"+ID,OBJPROP_PRICE2,frr7);
ObjectSet("FibSet2_8"+ID,OBJPROP_TIME1,t2);ObjectSet("FibSet2_8"+ID,OBJPROP_PRICE1,p2);
ObjectSet("FibSet2_8"+ID,OBJPROP_TIME2,t1);ObjectSet("FibSet2_8"+ID,OBJPROP_PRICE2,frr8);
ObjectSet("FibSet2_9"+ID,OBJPROP_TIME1,t2);ObjectSet("FibSet2_9"+ID,OBJPROP_PRICE1,p2);
ObjectSet("FibSet2_9"+ID,OBJPROP_TIME2,t1);ObjectSet("FibSet2_9"+ID,OBJPROP_PRICE2,frr9);
ObjectSet("FibSet2_10"+ID,OBJPROP_TIME1,t2);ObjectSet("FibSet2_10"+ID,OBJPROP_PRICE1,p2);
ObjectSet("FibSet2_10"+ID,OBJPROP_TIME2,t1);ObjectSet("FibSet2_10"+ID,OBJPROP_PRICE2,frr10);
ObjectSet("FibSet2_11"+ID,OBJPROP_TIME1,t2);ObjectSet("FibSet2_11"+ID,OBJPROP_PRICE1,p2);
ObjectSet("FibSet2_11"+ID,OBJPROP_TIME2,t1);ObjectSet("FibSet2_11"+ID,OBJPROP_PRICE2,frr11);
ObjectSet("FibSet2_12"+ID,OBJPROP_TIME1,t2);ObjectSet("FibSet2_12"+ID,OBJPROP_PRICE1,p2);
ObjectSet("FibSet2_12"+ID,OBJPROP_TIME2,t1);ObjectSet("FibSet2_12"+ID,OBJPROP_PRICE2,frr12);
ObjectSet("FibSet2_13"+ID,OBJPROP_TIME1,t2);ObjectSet("FibSet2_13"+ID,OBJPROP_PRICE1,p2);
ObjectSet("FibSet2_13"+ID,OBJPROP_TIME2,t1);ObjectSet("FibSet2_13"+ID,OBJPROP_PRICE2,frr13);
ObjectSet("FibSet2_14"+ID,OBJPROP_TIME1,t2);ObjectSet("FibSet2_14"+ID,OBJPROP_PRICE1,p2);
ObjectSet("FibSet2_14"+ID,OBJPROP_TIME2,t1);ObjectSet("FibSet2_14"+ID,OBJPROP_PRICE2,frr14);
ObjectSet("FibSet2_15"+ID,OBJPROP_TIME1,t2);ObjectSet("FibSet2_15"+ID,OBJPROP_PRICE1,p2);
ObjectSet("FibSet2_15"+ID,OBJPROP_TIME2,t1);ObjectSet("FibSet2_15"+ID,OBJPROP_PRICE2,frr15);
ObjectSet("FibSet2_16"+ID,OBJPROP_TIME1,t2);ObjectSet("FibSet2_16"+ID,OBJPROP_PRICE1,p2);
ObjectSet("FibSet2_16"+ID,OBJPROP_TIME2,t1);ObjectSet("FibSet2_16"+ID,OBJPROP_PRICE2,frr16);
ObjectSet("FibSet2_17"+ID,OBJPROP_TIME1,t2);ObjectSet("FibSet2_17"+ID,OBJPROP_PRICE1,p2);
ObjectSet("FibSet2_17"+ID,OBJPROP_TIME2,t1);ObjectSet("FibSet2_17"+ID,OBJPROP_PRICE2,frr17);
ObjectSet("FibSet2_18"+ID,OBJPROP_TIME1,t2);ObjectSet("FibSet2_18"+ID,OBJPROP_PRICE1,p2);
ObjectSet("FibSet2_18"+ID,OBJPROP_TIME2,t1);ObjectSet("FibSet2_18"+ID,OBJPROP_PRICE2,frr18);
ObjectSet("FibSet2_19"+ID,OBJPROP_TIME1,t2);ObjectSet("FibSet2_19"+ID,OBJPROP_PRICE1,p2);
ObjectSet("FibSet2_19"+ID,OBJPROP_TIME2,t1);ObjectSet("FibSet2_19"+ID,OBJPROP_PRICE2,frr19);
ObjectSet("FibSet2_20"+ID,OBJPROP_TIME1,t2);ObjectSet("FibSet2_20"+ID,OBJPROP_PRICE1,p2);
ObjectSet("FibSet2_20"+ID,OBJPROP_TIME2,t1);ObjectSet("FibSet2_20"+ID,OBJPROP_PRICE2,frr20);

// ObCr FibSet3_21      T1,P2,T2,fr21=P1+Height*v1);
double fr21=p1+height*v1;   double fr22=p1+height*v2;   double fr23=p1+height*v3;   double fr24=p1+height*v4;
double fr25=p1+height*v5;   double fr26=p1+height*v6;   double fr27=p1+height*v7;   double fr28=p1+height*v8;
double fr29=p1+height*v9;   double fr30=p1+height*v10; double fr31=p1+height*v11; double fr32=p1+height*v12;
double fr33=p1+height*v13; double fr34=p1+height*v14; double fr35=p1+height*v15; double fr36=p1+height*v16;
double fr37=p1+height*v17; double fr38=p1+height*v18; double fr39=p1+height*v19; double fr40=p1+height*v20;

ObjectSet("FibSet3_21"+ID,OBJPROP_TIME1,t1);ObjectSet("FibSet3_21"+ID,OBJPROP_PRICE1,p2);
ObjectSet("FibSet3_21"+ID,OBJPROP_TIME2,t2);ObjectSet("FibSet3_21"+ID,OBJPROP_PRICE2,fr21);
ObjectSet("FibSet3_22"+ID,OBJPROP_TIME1,t1);ObjectSet("FibSet3_22"+ID,OBJPROP_PRICE1,p2);
ObjectSet("FibSet3_22"+ID,OBJPROP_TIME2,t2);ObjectSet("FibSet3_22"+ID,OBJPROP_PRICE2,fr22);
ObjectSet("FibSet3_23"+ID,OBJPROP_TIME1,t1);ObjectSet("FibSet3_23"+ID,OBJPROP_PRICE1,p2);
ObjectSet("FibSet3_23"+ID,OBJPROP_TIME2,t2);ObjectSet("FibSet3_23"+ID,OBJPROP_PRICE2,fr23);
ObjectSet("FibSet3_24"+ID,OBJPROP_TIME1,t1);ObjectSet("FibSet3_24"+ID,OBJPROP_PRICE1,p2);
ObjectSet("FibSet3_24"+ID,OBJPROP_TIME2,t2);ObjectSet("FibSet3_24"+ID,OBJPROP_PRICE2,fr24);
ObjectSet("FibSet3_25"+ID,OBJPROP_TIME1,t1);ObjectSet("FibSet3_25"+ID,OBJPROP_PRICE1,p2);
ObjectSet("FibSet3_25"+ID,OBJPROP_TIME2,t2);ObjectSet("FibSet3_25"+ID,OBJPROP_PRICE2,fr25);
ObjectSet("FibSet3_26"+ID,OBJPROP_TIME1,t1);ObjectSet("FibSet3_26"+ID,OBJPROP_PRICE1,p2);
ObjectSet("FibSet3_26"+ID,OBJPROP_TIME2,t2);ObjectSet("FibSet3_26"+ID,OBJPROP_PRICE2,fr26);
ObjectSet("FibSet3_27"+ID,OBJPROP_TIME1,t1);ObjectSet("FibSet3_27"+ID,OBJPROP_PRICE1,p2);
ObjectSet("FibSet3_27"+ID,OBJPROP_TIME2,t2);ObjectSet("FibSet3_27"+ID,OBJPROP_PRICE2,fr27);
ObjectSet("FibSet3_28"+ID,OBJPROP_TIME1,t1);ObjectSet("FibSet3_28"+ID,OBJPROP_PRICE1,p2);
ObjectSet("FibSet3_28"+ID,OBJPROP_TIME2,t2);ObjectSet("FibSet3_28"+ID,OBJPROP_PRICE2,fr28);
ObjectSet("FibSet3_29"+ID,OBJPROP_TIME1,t1);ObjectSet("FibSet3_29"+ID,OBJPROP_PRICE1,p2);
ObjectSet("FibSet3_29"+ID,OBJPROP_TIME2,t2);ObjectSet("FibSet3_29"+ID,OBJPROP_PRICE2,fr29);
ObjectSet("FibSet3_30"+ID,OBJPROP_TIME1,t1);ObjectSet("FibSet3_30"+ID,OBJPROP_PRICE1,p2);
ObjectSet("FibSet3_30"+ID,OBJPROP_TIME2,t2);ObjectSet("FibSet3_30"+ID,OBJPROP_PRICE2,fr30);
ObjectSet("FibSet3_31"+ID,OBJPROP_TIME1,t1);ObjectSet("FibSet3_31"+ID,OBJPROP_PRICE1,p2);
ObjectSet("FibSet3_31"+ID,OBJPROP_TIME2,t2);ObjectSet("FibSet3_31"+ID,OBJPROP_PRICE2,fr31);
ObjectSet("FibSet3_32"+ID,OBJPROP_TIME1,t1);ObjectSet("FibSet3_32"+ID,OBJPROP_PRICE1,p2);
ObjectSet("FibSet3_32"+ID,OBJPROP_TIME2,t2);ObjectSet("FibSet3_32"+ID,OBJPROP_PRICE2,fr32);
ObjectSet("FibSet3_33"+ID,OBJPROP_TIME1,t1);ObjectSet("FibSet3_33"+ID,OBJPROP_PRICE1,p2);
ObjectSet("FibSet3_33"+ID,OBJPROP_TIME2,t2);ObjectSet("FibSet3_33"+ID,OBJPROP_PRICE2,fr33);
ObjectSet("FibSet3_34"+ID,OBJPROP_TIME1,t1);ObjectSet("FibSet3_34"+ID,OBJPROP_PRICE1,p2);
ObjectSet("FibSet3_34"+ID,OBJPROP_TIME2,t2);ObjectSet("FibSet3_34"+ID,OBJPROP_PRICE2,fr34);
ObjectSet("FibSet3_35"+ID,OBJPROP_TIME1,t1);ObjectSet("FibSet3_35"+ID,OBJPROP_PRICE1,p2);
ObjectSet("FibSet3_35"+ID,OBJPROP_TIME2,t2);ObjectSet("FibSet3_35"+ID,OBJPROP_PRICE2,fr35);
ObjectSet("FibSet3_36"+ID,OBJPROP_TIME1,t1);ObjectSet("FibSet3_36"+ID,OBJPROP_PRICE1,p2);
ObjectSet("FibSet3_36"+ID,OBJPROP_TIME2,t2);ObjectSet("FibSet3_36"+ID,OBJPROP_PRICE2,fr36);
ObjectSet("FibSet3_37"+ID,OBJPROP_TIME1,t1);ObjectSet("FibSet3_37"+ID,OBJPROP_PRICE1,p2);
ObjectSet("FibSet3_37"+ID,OBJPROP_TIME2,t2);ObjectSet("FibSet3_37"+ID,OBJPROP_PRICE2,fr37);
ObjectSet("FibSet3_38"+ID,OBJPROP_TIME1,t1);ObjectSet("FibSet3_38"+ID,OBJPROP_PRICE1,p2);
ObjectSet("FibSet3_38"+ID,OBJPROP_TIME2,t2);ObjectSet("FibSet3_38"+ID,OBJPROP_PRICE2,fr38);
ObjectSet("FibSet3_39"+ID,OBJPROP_TIME1,t1);ObjectSet("FibSet3_39"+ID,OBJPROP_PRICE1,p2);
ObjectSet("FibSet3_39"+ID,OBJPROP_TIME2,t2);ObjectSet("FibSet3_39"+ID,OBJPROP_PRICE2,fr39);
ObjectSet("FibSet3_40"+ID,OBJPROP_TIME1,t1);ObjectSet("FibSet3_40"+ID,OBJPROP_PRICE1,p2);
ObjectSet("FibSet3_40"+ID,OBJPROP_TIME2,t2);ObjectSet("FibSet3_40"+ID,OBJPROP_PRICE2,fr40);


// ObCr FibSet4_21   T2,P1,T1,frr21=P2-Height*v1);
double frr21=p2-height*v1;   double frr22=p2-height*v2;   double frr23=p2-height*v3;   double frr24=p2-height*v4;
double frr25=p2-height*v5;   double frr26=p2-height*v6;   double frr27=p2-height*v7;   double frr28=p2-height*v8;
double frr29=p2-height*v9;   double frr30=p2-height*v10; double frr31=p2-height*v11; double frr32=p2-height*v12;
double frr33=p2-height*v13; double frr34=p2-height*v14; double frr35=p2-height*v15; double frr36=p2-height*v16;
double frr37=p2-height*v17; double frr38=p2-height*v18; double frr39=p2-height*v19; double frr40=p2-height*v20;

ObjectSet("FibSet4_21"+ID,OBJPROP_TIME1,t2);ObjectSet("FibSet4_21"+ID,OBJPROP_PRICE1,p1);
ObjectSet("FibSet4_21"+ID,OBJPROP_TIME2,t1);ObjectSet("FibSet4_21"+ID,OBJPROP_PRICE2,frr21);
ObjectSet("FibSet4_22"+ID,OBJPROP_TIME1,t2);ObjectSet("FibSet4_22"+ID,OBJPROP_PRICE1,p1);
ObjectSet("FibSet4_22"+ID,OBJPROP_TIME2,t1);ObjectSet("FibSet4_22"+ID,OBJPROP_PRICE2,frr22);
ObjectSet("FibSet4_23"+ID,OBJPROP_TIME1,t2);ObjectSet("FibSet4_23"+ID,OBJPROP_PRICE1,p1);
ObjectSet("FibSet4_23"+ID,OBJPROP_TIME2,t1);ObjectSet("FibSet4_23"+ID,OBJPROP_PRICE2,frr23);
ObjectSet("FibSet4_24"+ID,OBJPROP_TIME1,t2);ObjectSet("FibSet4_24"+ID,OBJPROP_PRICE1,p1);
ObjectSet("FibSet4_24"+ID,OBJPROP_TIME2,t1);ObjectSet("FibSet4_24"+ID,OBJPROP_PRICE2,frr24);
ObjectSet("FibSet4_25"+ID,OBJPROP_TIME1,t2);ObjectSet("FibSet4_25"+ID,OBJPROP_PRICE1,p1);
ObjectSet("FibSet4_25"+ID,OBJPROP_TIME2,t1);ObjectSet("FibSet4_25"+ID,OBJPROP_PRICE2,frr25);
ObjectSet("FibSet4_26"+ID,OBJPROP_TIME1,t2);ObjectSet("FibSet4_26"+ID,OBJPROP_PRICE1,p1);
ObjectSet("FibSet4_26"+ID,OBJPROP_TIME2,t1);ObjectSet("FibSet4_26"+ID,OBJPROP_PRICE2,frr26);
ObjectSet("FibSet4_27"+ID,OBJPROP_TIME1,t2);ObjectSet("FibSet4_27"+ID,OBJPROP_PRICE1,p1);
ObjectSet("FibSet4_27"+ID,OBJPROP_TIME2,t1);ObjectSet("FibSet4_27"+ID,OBJPROP_PRICE2,frr27);
ObjectSet("FibSet4_28"+ID,OBJPROP_TIME1,t2);ObjectSet("FibSet4_28"+ID,OBJPROP_PRICE1,p1);
ObjectSet("FibSet4_28"+ID,OBJPROP_TIME2,t1);ObjectSet("FibSet4_28"+ID,OBJPROP_PRICE2,frr28);
ObjectSet("FibSet4_29"+ID,OBJPROP_TIME1,t2);ObjectSet("FibSet4_29"+ID,OBJPROP_PRICE1,p1);
ObjectSet("FibSet4_29"+ID,OBJPROP_TIME2,t1);ObjectSet("FibSet4_29"+ID,OBJPROP_PRICE2,frr29);
ObjectSet("FibSet4_30"+ID,OBJPROP_TIME1,t2);ObjectSet("FibSet4_30"+ID,OBJPROP_PRICE1,p1);
ObjectSet("FibSet4_30"+ID,OBJPROP_TIME2,t1);ObjectSet("FibSet4_30"+ID,OBJPROP_PRICE2,frr30);
ObjectSet("FibSet4_31"+ID,OBJPROP_TIME1,t2);ObjectSet("FibSet4_31"+ID,OBJPROP_PRICE1,p1);
ObjectSet("FibSet4_31"+ID,OBJPROP_TIME2,t1);ObjectSet("FibSet4_31"+ID,OBJPROP_PRICE2,frr31);
ObjectSet("FibSet4_32"+ID,OBJPROP_TIME1,t2);ObjectSet("FibSet4_32"+ID,OBJPROP_PRICE1,p1);
ObjectSet("FibSet4_32"+ID,OBJPROP_TIME2,t1);ObjectSet("FibSet4_32"+ID,OBJPROP_PRICE2,frr32);
ObjectSet("FibSet4_33"+ID,OBJPROP_TIME1,t2);ObjectSet("FibSet4_33"+ID,OBJPROP_PRICE1,p1);
ObjectSet("FibSet4_33"+ID,OBJPROP_TIME2,t1);ObjectSet("FibSet4_33"+ID,OBJPROP_PRICE2,frr33);
ObjectSet("FibSet4_34"+ID,OBJPROP_TIME1,t2);ObjectSet("FibSet4_34"+ID,OBJPROP_PRICE1,p1);
ObjectSet("FibSet4_34"+ID,OBJPROP_TIME2,t1);ObjectSet("FibSet4_34"+ID,OBJPROP_PRICE2,frr34);
ObjectSet("FibSet4_35"+ID,OBJPROP_TIME1,t2);ObjectSet("FibSet4_35"+ID,OBJPROP_PRICE1,p1);
ObjectSet("FibSet4_35"+ID,OBJPROP_TIME2,t1);ObjectSet("FibSet4_35"+ID,OBJPROP_PRICE2,frr35);
ObjectSet("FibSet4_36"+ID,OBJPROP_TIME1,t2);ObjectSet("FibSet4_36"+ID,OBJPROP_PRICE1,p1);
ObjectSet("FibSet4_36"+ID,OBJPROP_TIME2,t1);ObjectSet("FibSet4_36"+ID,OBJPROP_PRICE2,frr36);
ObjectSet("FibSet4_37"+ID,OBJPROP_TIME1,t2);ObjectSet("FibSet4_37"+ID,OBJPROP_PRICE1,p1);
ObjectSet("FibSet4_37"+ID,OBJPROP_TIME2,t1);ObjectSet("FibSet4_37"+ID,OBJPROP_PRICE2,frr37);
ObjectSet("FibSet4_38"+ID,OBJPROP_TIME1,t2);ObjectSet("FibSet4_38"+ID,OBJPROP_PRICE1,p1);
ObjectSet("FibSet4_38"+ID,OBJPROP_TIME2,t1);ObjectSet("FibSet4_38"+ID,OBJPROP_PRICE2,frr38);
ObjectSet("FibSet4_39"+ID,OBJPROP_TIME1,t2);ObjectSet("FibSet4_39"+ID,OBJPROP_PRICE1,p1);
ObjectSet("FibSet4_39"+ID,OBJPROP_TIME2,t1);ObjectSet("FibSet4_39"+ID,OBJPROP_PRICE2,frr39);
ObjectSet("FibSet4_40"+ID,OBJPROP_TIME1,t2);ObjectSet("FibSet4_40"+ID,OBJPROP_PRICE1,p1);
ObjectSet("FibSet4_40"+ID,OBJPROP_TIME2,t1);ObjectSet("FibSet4_40"+ID,OBJPROP_PRICE2,frr40);
//----
   return(0);
  }
//+------------------------------------------------------------------+